<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        caption="msg://revenueFeeReportEdit.caption"
        focusComponent="form">
    <data>
        <instance id="cashWithdrawalReportDc"
                  class="com.company.management.entity.bgdreporting.CashWithdrawalReport">
            <fetchPlan extends="_base"/>
            <loader/>
        </instance>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="scrollBox">
        <scrollBox id="scrollBox" spacing="true">
            <form id="form" dataContainer="cashWithdrawalReportDc">
                <column width="350px">
                    <textField id="accountOwnerField" property="accountOwner"/>
                    <textField id="bgdField" property="bgd"/>
                    <textField id="channelField" property="channel"/>
                    <textField id="createdByField" property="createdBy"/>
                    <dateField id="createdDateField" property="createdDate"/>
                    <textField id="creditingAccPartnerField" property="creditingAccPartner"/>
                    <textField id="deletedByField" property="deletedBy"/>
                    <dateField id="deletedDateField" property="deletedDate"/>
                    <textField id="descriptionField" property="description"/>
                    <textField id="feeAmountField" property="feeAmount"/>
                    <textField id="lastModifiedByField" property="lastModifiedBy"/>
                    <dateField id="lastModifiedDateField" property="lastModifiedDate"/>
                    <textField id="referenceNoField" property="referenceNo"/>
                    <textField id="taxAmountField" property="taxAmount"/>
                    <dateField id="timestampField" property="timestamp"/>
                    <textField id="versionField" property="version"/>
                    <textField id="withdrawalAmountField" property="withdrawalAmount"/>
                </column>
            </form>
        </scrollBox>
        <hbox id="editActions" spacing="true">
            <button id="commitAndCloseBtn" action="windowCommitAndClose"/>
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>
